; /home/nureki/nakane/crystfel-0.6.0pre/src/.libs/lt-geoptimiser -i 397728-397743-mixed.stream -g sacla-16feb-530-predrefine.geom -o sacla-16feb-530-opt.geom -e -c connected -q independent
; Optimized panel offsets can be found at the end of the file
; CrystFEL geometry file produced by prepare-cheetah-sacla-api2
;   by Takanori Nakane
; for tiled but NOT reassembled images (512x8192 pixels)

; NOTE:
; This file is for multi-event HDF5 files. To use in single-event
; files, you have to edit 'data' record and prepare .beam file

clen = 0.0530 ; You SHOULD optimize this!
res = 20000  ; 50 micron  1m /50 micron
;badrow_direction = x
;adu_per_eV = /LCLS/adu_per_eV
;max_adu = 250000 ; should NOT be used. see best practice on Web
data = /%/data ; change this to /LCLS/data for single-event files
photon_energy = /%/photon_energy_ev ; roughly 7691.152189. change this to /LCLS/photon_energy_eV for single-event files
rigid_group_q1 = q1
rigid_group_q2 = q2
rigid_group_q3 = q3
rigid_group_q4 = q4
rigid_group_q5 = q5
rigid_group_q6 = q6
rigid_group_q7 = q7
rigid_group_q8 = q8

rigid_group_collection_connected = q1,q2,q3,q4,q5,q6,q7,q8
rigid_group_collection_independent = q1,q2,q3,q4,q5,q6,q7,q8

q1/adu_per_eV = 0.001300
q1/min_fs = 0
q1/min_ss = 0
q1/max_fs = 511
q1/max_ss = 1023
q1/fs = +0.001275x -1.000000y
q1/ss = +1.000000x +0.001275y
q1/corner_x = 34.5609
q1/corner_y = 1037.1

q2/adu_per_eV = 0.001300
q2/min_fs = 0
q2/min_ss = 1024
q2/max_fs = 511
q2/max_ss = 2047
q2/fs = -0.001380x -0.999999y
q2/ss = +0.999999x -0.001380y
q2/corner_x = 35.7795
q2/corner_y = 502.057

q3/adu_per_eV = 0.001300
q3/min_fs = 0
q3/min_ss = 2048
q3/max_fs = 511
q3/max_ss = 3071
q3/fs = +0.000079x -1.000000y
q3/ss = +1.000000x +0.000079y
q3/corner_x = -15.0992
q3/corner_y = -34.0613

q4/adu_per_eV = 0.001300
q4/min_fs = 0
q4/min_ss = 3072
q4/max_fs = 511
q4/max_ss = 4095
q4/fs = -0.001489x -0.999999y
q4/ss = +0.999999x -0.001489y
q4/corner_x = -15.5065
q4/corner_y = -567.178

q5/adu_per_eV = 0.001300
q5/min_fs = 0
q5/min_ss = 4096
q5/max_fs = 511
q5/max_ss = 5119
q5/fs = -0.000552x +1.000000y
q5/ss = -1.000000x -0.000552y
q5/corner_x = 19.0344
q5/corner_y = 572.522

q6/adu_per_eV = 0.001300
q6/min_fs = 0
q6/min_ss = 5120
q6/max_fs = 511
q6/max_ss = 6143
q6/fs = -0.000862x +1.000000y
q6/ss = -1.000000x -0.000862y
q6/corner_x = 17.6418
q6/corner_y = 38.7811

q7/adu_per_eV = 0.001300
q7/min_fs = 0
q7/min_ss = 6144
q7/max_fs = 511
q7/max_ss = 7167
q7/fs = +0.003460x +0.999994y
q7/ss = -0.999994x +0.003460y
q7/corner_x = -32.7071
q7/corner_y = -496.76

q8/adu_per_eV = 0.001300
q8/min_fs = 0
q8/min_ss = 7168
q8/max_fs = 511
q8/max_ss = 8191
q8/fs = +0.004861x +0.999988y
q8/ss = -0.999988x +0.004861y
q8/corner_x = -34.0757
q8/corner_y = -1031.36


q1/coffset = -0.000010
q2/coffset = -0.000010
q3/coffset = -0.000010
q4/coffset = -0.000010
q5/coffset = -0.000010
q6/coffset = -0.000010
q7/coffset = -0.000010
q8/coffset = -0.000010
